package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Fases generated by hbm2java
 */
@Entity
@Table(name = "fases", catalog = "gestion_actividades")
public class Fases implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idFase;
	private int fase;
	private List<FaseAct> faseActs = new ArrayList<FaseAct>();

	public Fases() {
	}

	public Fases(int fase) {
		this.fase = fase;
	}

	public Fases(int fase, List<FaseAct> faseActs) {
		this.fase = fase;
		this.faseActs = faseActs;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_fase", unique = true, nullable = false)
	public Integer getIdFase() {
		return this.idFase;
	}

	public void setIdFase(Integer idFase) {
		this.idFase = idFase;
	}

	@Column(name = "fase", nullable = false)
	public int getFase() {
		return this.fase;
	}

	public void setFase(int fase) {
		this.fase = fase;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "fases")
	public List<FaseAct> getFaseActs() {
		return faseActs;
	}

	public void setFaseActs(List<FaseAct> faseActs) {
		this.faseActs = faseActs;
	}

}
